as usual no hurry

any objections to making this the last  one supporting python 2.4 ?

all the best
  e